# Copyright (c) 2018, 2019  Dave Love, University of Manchester
# MIT licence, per Fedora policy.

%global cubever 4.5

%global ion 1
# blade, callgraph, and tauvalueview require qtwebengine/qtsvg, which
# isn't in el7 and won't build trivially
%{!?el7:%global qtweb 1}

Name:		cube-plugins
Version:	2.0
Release:	1%{?dist}
Summary:	Various unbundled plugins for CUBE
License:	BSD
URL:		http://www.scalasca.org/software/cube-4.x/download.html
Source0:	http://apps.fz-juelich.de/scalasca/releases/cube/%cubever/dist/scorepion-0.3.tar.gz
Source1:	http://apps.fz-juelich.de/scalasca/releases/cube/%cubever/dist/blade-0.2.tar.gz
Source2:	http://apps.fz-juelich.de/scalasca/releases/cube/%cubever/dist/jengafett-0.3.tar.gz
Source3:	http://apps.fz-juelich.de/scalasca/releases/cube/%cubever/dist/callgraph-0.2.tar.gz
Source4:	http://apps.fz-juelich.de/scalasca/releases/cube/%cubever/dist/tauvalueview-0.1.tar.gz
BuildRequires:	gcc-c++ qt5-qtbase-devel graphviz-devel
BuildRequires:	cube-devel >= 4.5, scorep >= 6.0, otf2-devel >= 2.1.1
%{?qtweb:BuildRequires: qt5-qtwebengine-devel qt5-qtsvg-devel}
Requires:	cube%{?_isa} >= %cubever
Requires:	scorep%{?_isa} >= 6.0
Requires:	graphviz%{?_isa}
# For want of scorep:
ExcludeArch:	x390 s390x


%description
This is a collection of extra plugins for CUBE, which aren't bundled
with CUBE itself, currently: JengaFett%{?ion: ScorePion, }%{?qtweb: Blade, CallGraph, TauValueView}.

%prep
%setup -q -c
tar fx %SOURCE0
tar fx %SOURCE1
tar fx %SOURCE2
tar fx %SOURCE3
tar fx %SOURCE4


%build
for d in jengafettplugin* %{?ion: scorepionplugin*} %{?qtweb:bladeplugin* callgraphplugin** tauvalueview*}; do
  pushd $d
  cp README ../README.${d/-*/}
  %configure
  %make_build
  popd
done


%install
for d in jengafettplugin* %{?ion: scorepionplugin*} %{?qtweb:bladeplugin* callgraphplugin* scorepionplugin* tauvalueview*}; do
  %make_install -C $d
done


%files
%doc README.*
%license scorepionplugin-*/COPYING
%exclude %_libdir/cube-plugins/*.la
%{?ion:%_libdir/cube-plugins/libscorepion-plugin.so}
%if 0%{?qtweb}
%_libdir/cube-plugins/libcallgraphplugin.so
%_libdir/cube-plugins/libtauvalue-plugin.so
%_includedir/tauvalueview/TauValueView.h
%_libdir/cube-plugins/libblade-plugin.so
%_includedir/bladeplugin
%endif
%_libdir/cube-plugins/libjengafett-plugin.so


%changelog
* Mon Jun  8 2020 Dave Love <loveshack@fedoraproject.org> - 2.0-1
- New versions (for cube 4.5), with new BRs
- callgraph and blade no longer build for el7

* Fri Nov 22 2019 Dave love <loveshack@fedoraproject.org> - 1.0-2
- Remove SCL-ism

* Wed Oct 17 2018  <loveshack@fedoraproject.org> - 1.0-1
- Initial packaging
